@font-face {
  font-family: ubuntuMono;
  src: url(../fonts/UbuntuMono-R.ttf);
}

:root{
  --front-color: lawngreen;
  --back-color: black;
  --fill-color: rgb(0,32,0);
  --alert-back-color: white;
  --midtone-color: darkgreen;
}

@media (prefers-color-scheme: light){
  :root{
    --front-color: darkgreen;
    --back-color: aliceblue;
    --fill-color: lightgreen;
    --alert-back-color: black;
    --midtone-color: lavender;
  }
}

*{
  cursor: none;
}
body{
  font-family:ubuntuMono, monospace, sans-serif;
  background-color: var(--fill-color);
  color: var(--front-color);
}

.sprite{
  position: absolute;
  transform: translate(-50%, -50%);
  -webkit-mask-size: contain;
  mask-size: contain;
  mask-repeat: no-repeat;
  -webkit-mask-repeat: no-repeat;
}

#contenedor{
  border:thin solid var(--fill-color);
  background-color: var(--back-color);
  outline-color: var(--midtone-color);
  outline-style: inset;
  outline-width: thick;
  z-index: -1;
  position: absolute;
  left:5vw;
  top:5vh;
  width: 90vw;
  height: 80vh;
  margin:auto;
}

#player{
  width: 50px;
  height:50px;
  transform: translate(-50%, -50%);
  position:absolute;
  left:50%;
  top:50%;
  -webkit-mask-image:url(../img/poo.svg);
  mask-image: url(../img/poo.svg);
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  -webkit-mask-size: contain;
  mask-size: contain;
  background: orangered;
}

#motionSensorFallback{
  color: red;
  background-color: var(--alert-back-color);
  font-family: monospace, sans-serif;
  font-weight: bold;
  padding: 0.2em 1em;
  position: fixed;
  bottom: 10vh;
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
}

#score{
  position: fixed;
  top: 0.5em;
  right: 0.5em;
  font-size: 2em;
}

